rgl.useNULL {rgl} | R Documentation

## Report default use of null device.

### Description

This function checks the `"rgl.useNULL"` option if present, or the RGL_USE_NULL environment variable if it is not. If the value is `TRUE` or a string which matches “yes” or “true” in a case-insensitive test, `TRUE` is returned.

### Usage

    rgl.useNULL()

### Value

A logical value indicating the current default for use of the null device.

### Note

This function is checked by the initialization code when rgl is loaded. Thus if you want to run rgl on a system where there is no graphics support, you should run `options(rgl.useNULL = TRUE)` or set the environment variable `RGL_USE_NULL=TRUE` *before* calling `library(rgl)` (or other code that loads rgl), and it will not fail in its attempt at initialization.

### Author(s)

Duncan Murdoch

### See Also

`open3d` and `rgl.open`.

### Examples

    rgl.useNULL()

[Package rgl version 0.99.16 Index]